{
	saved_yet [0]
	
	Init[(s)
	{
		if (saved_yet = 0)
		{
			saved_yet = 1;
			
			SetNationality(1);
	
			PlayAnimation(26);
	
			SetAttackDistance(8);
			SetState_Patrol(0);
			SetLineOfSight(1);
			
			SetWander(0);
			
			DropWeaponOnDeath(false);
		}
	}]
	
	Respawn[ (where)
	{
		SetDead( false );
		SetRunning();
		PlayAnimation(1);
		SetHealth(512);

		GiveWeapon(56);

		SetState_Patrol(0);
		SetAttackDistance(8);
		SetLineOfSight(1);
		
		switch( where )
		{
			case 0
			{
				Level.saved_GunFight = Level.saved_GunFight +1;
				SetPosition(13604,17426,0);
				FollowPath("gunpath2");
				FollowPathCallback(127,"GetGun",1);
			}
			
			case 1
			{
				Level.saved_GunFight = Level.saved_GunFight +1;
				SetPosition(14665,17280,0);
				FollowPath("gunpath3");
				FollowPathCallback(127,"GetGun",2);
			}
		}
	}]
	
	DelayReached[(dy)
	{
		if (dy = 5)
		{
			Respawn(0);
		}
		
		if (dy = 10)
		{
			Respawn(1);
		}
	}]

	GetGun[(gun)
	{
		if (gun = 1)
		{
			ShowWeapon(false);
			SetState_MG42(Level.GetEntity("mg42-02"));
			PlayAnimation(26);
		}
		
		if (gun = 2)
		{
			ShowWeapon(false);
			SetState_MG42(Level.GetEntity("mg42-03"));
			PlayAnimation(26);
		}
	}]
}